#ifndef __rc5_h__
#define __rc5_h__
/*
 * libzdt - zdt's own C Library.
 * Copyright (C) 1999,2000 Jeremy Tregunna. All rights reserved.
 *
 * libzdt is distributed under a modified version of the BSD license.
 * You should have received a copy of this license in the Documentation
 * directory.
 */
#include <zdt/Types.h>

#define RC5_AVAILABLE

/* RC5 defines */
#define rc5_w 32
#define rc5_r 16
#define rc5_b 16
#define rc5_c 4
#define rc5_t 34

typedef ulint rc5_cblock[rc5_t];

typedef struct rc5_ks_struct {
	rc5_cblock _;
} rc5_key_schedule[1];

extern void rc5_encrypt(ulint *,ulint *,ulint *);
extern void rc5_decrypt(ulint *,ulint *,ulint *);
extern void rc5_setup(uint8 *,ulint *);

#endif /* !__rc5_h__ */
